Jeuxlinux - Le site des jeux pour linux - Forum

Forum francophone des jeux pour GNU/Linux

Vous n'êtes pas identifié.

#1 15-11-2008 20:20:11

alaingre
Membre

Installer xplane sous ubuntu 8.10 (32 bit)

J'ai eut un peu de mal avec la dernière version ( démo du jeu) xplane sur ubuntu 8.10 (32 bits)

Après l'avoir récupérer l'archive (l'installeur de la démo) http://dev.x-plane.com/update/installer … rLinux.zip et décompressé celle-ci en un fichier X-Plane Demo Installer Linux

le lancement de l'installeur devrait démarré par la commande
./"X-Plane Demo Installer Linux"

Mais j'avais un message d'erreur sur l'absence d'une bibliothèque libopenal0a
error while loading shared libraries: libopenal.so.0: cannot open shared object file: No such file or directory

En effet la commande
ldd "X-Plane Demo Installer Linux"
permet de voir si toutes les bibliothèques nécessaires sont présentes (manip que je ne connaissais pas)

La ou cela ce complique c'est que le paquet libopenal0a n'est pas disponible sous ubuntu 8.10 (intrepid)
il a été remplacé par libopenal1

Heureusement  ubuntu est partout sur la planète et j'ai pu trouver la parade
J'ai installé libopenal1 puis j'ai fait un lien symbolique en entrant la commande

sudo ln -s /usr/lib/libopenal.so /usr/lib/libopenal.so.0

L'installation à pu alors être lancée (c'est long - + 45 minutes à 215 ksec)
Mais si ça me plait je pourrai acheter le jeu
http://brenta.free.fr/IMG/png/xplane.png

Hors ligne

 

#2 15-11-2008 23:52:52

julroy67
Modérateur

Re: Installer xplane sous ubuntu 8.10 (32 bit)

Mhh attention ce que tu as fait marche peut-être mais c'est inadapté, le paquet openal1 casse la compatibilité avec l'ancienne donc le lien symbolique que tu as crée pourrait te créer des problèmes pour pallier à ce problème tu devrais plutôt attendre que Xplane utilise la nouvelle version (solution parfaite mais faut attendre) ou sinon prendre le paquet libopenal0 : http://packages.ubuntu.com/hardy/libopenal0a (de la hardy) et d'extraire les libs du paquets pour les copier dans le dossier /usr/lib* (c'est pas propre mais au moins tu aura les deux versions de la lib).

Hors ligne

 

#3 16-11-2008 01:44:20

lululaglue
Administrateur

Re: Installer xplane sous ubuntu 8.10 (32 bit)

julroy67 a écrit:

Mhh attention ce que tu as fait marche peut-être mais c'est inadapté, le paquet openal1 casse la compatibilité avec l'ancienne donc le lien symbolique que tu as crée pourrait te créer des problèmes

Non je vois pas en quoi ça pourrait poser problème. Éventuellement avec certains paquets nécessitant
/usr/lib/libopenal.so.0, mais dans ce cas, vu que le fichier n'existait pas avant, de toute façon ça n'aurait pas marché.

D'ailleurs la manipe est décrite dans notre FAQ.


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#4 16-11-2008 13:00:24

julroy67
Modérateur

Re: Installer xplane sous ubuntu 8.10 (32 bit)

Ça pourrait créer des problèmes avec des logiciels utilisant justement cette bibliothèque, puisque la compatibilité de l'ABI a été cassée (ça marche peut-être, mais si ça fonctionne c'est parce que le jeu utilise la partie qui n'a pas été modifiée, mais on peu pas vérifier si ça arrivera jamais). Donc non définitivement tout codeur en C te confirmera qu'il est pas sagede faire cette manip d'ou justement le fait que ce lien n'est pas crée automatiquement.

Hors ligne

 

#5 16-11-2008 15:25:48

lululaglue
Administrateur

Re: Installer xplane sous ubuntu 8.10 (32 bit)

julroy67 a écrit:

Ça pourrait créer des problèmes avec des logiciels utilisant justement cette bibliothèque

mais justement puisque la lib n'est pas présente, et apparemment dans son cas, n'est pas installable, tu crois vraiment que l'appli va fonctionnait mieux sans ce lien symbolique ?? Ben nan elle va même pas démarrer...

Donc oui il se peut qu'avec cette manipe, certaines applis déconnent, mais ça ne déconnera pas plus que si tu le fait pas au contraire...


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#6 16-11-2008 17:18:10

julroy67
Modérateur

Re: Installer xplane sous ubuntu 8.10 (32 bit)

Bah justement je propose d'installer la vraie lib c'est la solution la mieux placée au final nan ? XD

Hors ligne

 

#7 16-11-2008 19:10:06

lululaglue
Administrateur

Re: Installer xplane sous ubuntu 8.10 (32 bit)

Oui c'est la solution idéal, mais peut être aussi la plus compliqué pour un novice ?


http://lululaglue.homelinux.net/userbar/jeuvinux.jpg

Hors ligne

 

#8 16-11-2008 20:24:27

julroy67
Modérateur

Re: Installer xplane sous ubuntu 8.10 (32 bit)

Ça me paraît pas très difficile quand même ^^ enfin après tout moi je donne la solution correcte pas un détour.

Hors ligne

 

Pied de page des forums

Propulsé par FluxBB
Traduction par FluxBB.fr